/*
 	(c) Copyright 2005 Hewlett-Packard Development Company, LP
 	All rights reserved - see end of file.
 	$Id: Example.java,v 1.2 2005/11/23 15:56:29 chris-dollin Exp $
*/

package com.hp.hpl.jena.rdf.model.assemblers.examples;

import com.hp.hpl.jena.rdf.model.Model;
import com.hp.hpl.jena.rdf.model.assemblers.Assembler;
import com.hp.hpl.jena.rdf.model.assemblers.test.AssemblerTestBase;
import com.hp.hpl.jena.vocabulary.*;

public class Example extends AssemblerTestBase
    {
    public Example( String name )
        { super( name ); }

    public static void main( String [] args )
        {
        String x =
            "x rdf:type ja:RDBModel; x ja:modelName 'example'; x ja:connection C"
            + "; x ja:content CO; CO ja:literalContent '_:x\\srdf:value\\s42.'"
            + "; C ja:dbUser 'testing'; C ja:dbPassword 'test'; C ja:dbType 'MySQL'"
            + "; C ja:dbURL 'jdbc:mysql://localhost/test'"
            ;
        Class dd = com.mysql.jdbc.Driver.class;
        Assembler a = Assembler.builtin;
        Model m = a.createModel( resourceInModel( x ) );
        m.write( System.out, "N3" );
        m.add( m.createResource(), RDF.type, RDFS.Class );
        }
    }


/*
 * (c) Copyright 2005 Hewlett-Packard Development Company, LP
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. The name of the author may not be used to endorse or promote products
 *    derived from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
 * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
 * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/